## dnsenum 1.3.0

=== Makefile ===
.PHONY: default
default:
	pod2man dnsenum.pl > dnsenum.1

.PHONY: install
install:
	if [ "$${INSTALL_DEPS:-1}" = "1" ]; then \
		cpan install XML::Writer Net::Netmask Net::IP Net::DNS Net::Whois::IP HTML::Parser WWW::Mechanize; \
	fi
	install -D -m 644 dns.txt -t $(DESTDIR)/usr/share/dnsenum/
	install -D -m 644 dnsenum.1 -t $(DESTDIR)/usr/share/man/man1/
	install -D -m 755 dnsenum.pl $(DESTDIR)/usr/bin/dnsenum

.PHONY: clean
clean:
	rm -f dnsenum.1

=== debian/changelog ===
dnsenum (1.3.0-4) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/lintian-overrides: created to override a false positive.

  [ Samuel Henrique ]
  * debian/tests/control: added superficial restriction. (Closes: #969820)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 14:58:49 -0300

dnsenum (1.3.0-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added rights for Samuel Henrique.
      - Updated packaging copyright years.
  * debian/upstream/metadata: created.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 13 May 2020 23:24:02 -0300

dnsenum (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Nov 2019 17:22:46 -0300

dnsenum (1.3.0-1) experimental; urgency=medium

  * Initial release for Debian. (Closes: #943460)
  * Run wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Rewritten the long description.
      - Set new maintainer and co-maintainer when introducing in Debian.
      - Using ${perl:Depends} variable in Depends field instead of perl.
      - Using Salsa in VCS fields.
  * debian/copyright:
      - Added email address for Network Silence.
      - Updated all rights for packagers.
      - Updated Upstream-Name field to use dnsenum2 instead of dnsenum.
  * debian/gbp.conf: dropped.
  * debian/kali-ci.yml: removed because is specific for GitLab in Kali.
  * debian/patches/:
      - fix-usage-output:
          ~ Renamed to 010_fix-usage-output.patch
          ~ Reorganized the header.
      - 020_fix-spelling.patch: created to fix spelling errors in all
        dnsenum main code and the whatis in manpage.
  * debian/rules: removed all not needed lines with comments.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide a trivial CI test.
  * debian/watch:
      - Added 'archive' word in search to avoid mistakes.
      - Using 'releases' instead of 'tags' to search for new versions.
      - Using variable @ARCHIVE_EXT@.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 24 Oct 2019 20:08:32 -0300

dnsenum (1.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.3.0
  * Remove patch to fix makefile (merged upstream)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Oct 2019 15:48:09 +0200

dnsenum (1.2.6+git20191016-0kali1) kali-dev; urgency=medium

  [ Devon Kearns ]
  * Ignore the .pc directory
  * Patched to display correct usage.

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update with new upstream repo
  * New upstream version 1.2.6+git20191016
  * Update packaging for new release
  * Switch to debhelper-compat 12
  * Refresh patch
  * Bump Standards-Version to 4.4.1
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Oct 2019 14:51:40 +0200

dnsenum (1.2.4.2-0kali1) kali-dev; urgency=medium

  * Imported new upstream release.

 -- Devon Kearns <dookie@kali.org>  Tue, 22 Aug 2017 09:33:25 -0600

dnsenum (1.2.4.1-1kali1) kali; urgency=low

  * Upstream update

 -- Mati Aharoni <muts@kali.org>  Fri, 23 May 2014 11:48:11 -0400

dnsenum (1.2.3-0kali2) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Mon, 13 Jan 2014 08:50:50 -0500

dnsenum (1.2.3-0kali1) kali; urgency=low

  * Upstream import

 -- Mati Aharoni <muts@kali.org>  Tue, 07 Jan 2014 10:13:27 -0500

dnsenum (1.2.2-1kali3) kali; urgency=low

  * Added missing perl dependencies

 -- Mati Aharoni <muts@kali.org>  Tue, 10 Dec 2013 10:01:24 -0500

dnsenum (1.2.2-1kali2) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 07:39:32 -0500

dnsenum (1.2.2-1kali1) kali; urgency=low

  * Initial release

 -- dookie <dookie@kali.org>  Thu, 22 Nov 2012 17:33:36 -0700

=== debian/control ===
Source: dnsenum
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/SparrowOchon/dnsenum2
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsenum
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsenum.git

Package: dnsenum
Architecture: all
Depends: libhtml-parser-perl,
         libnet-dns-perl,
         libnet-ip-perl,
         libnet-netmask-perl,
         libnet-whois-ip-perl,
         libstring-random-perl,
         libwww-mechanize-perl,
         libxml-writer-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: tool to enumerate domain DNS information
 Dnsenum is a multithreaded perl script to enumerate DNS information of a
 domain and to discover non-contiguous ip blocks. The main purpose of Dnsenum
 is to gather as much information as possible about a domain. The program
 currently performs the following operations:
 .
   1) Get the host's addresses (A record).
   2) Get the namservers (threaded).
   3) Get the MX record (threaded).
   4) Perform axfr queries on nameservers and get BIND versions(threaded).
   5) Get extra names and subdomains via google scraping (google query =
      "allinurl: -www site:domain").
   6) Brute force subdomains from file, can also perform recursion on subdomain
      that have NS records (all threaded).
   7) Calculate C class domain network ranges and perform whois queries on them
      (threaded).
   8) Perform reverse lookups on netranges (C class or/and whois netranges)
      (threaded).
   9) Write to domain_ips.txt file ip-blocks.
 .
 This program is useful for pentesters, ethical hackers and forensics experts.
 It also can be used for security tests.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL_DEPS=0

=== debian/tests/control ===
Test-Command: dnsenum -h | grep Usage
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/SparrowOchon/dnsenum2/releases .*/archive/v?(\d\S+)@ARCHIVE_EXT@

## dnsenum 1.3.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 .PHONY: install
 install:
 	if [ "$${INSTALL_DEPS:-1}" = "1" ]; then \
-		cpan install XML::Writer Net::Netmask Net::IP Net::DNS Net::Whois::IP HTML::Parser WWW::Mechanize; \
+		cpan install XML::Writer Net::Netmask Net::IP Net::DNS Net::Whois::IP HTML::Parser WWW::Mechanize String::Random; \
 	fi
 	install -D -m 644 dns.txt -t $(DESTDIR)/usr/share/dnsenum/
 	install -D -m 644 dnsenum.1 -t $(DESTDIR)/usr/share/man/man1/

=== debian/changelog ===
dnsenum (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "autopkgtest failure with Perl 5.38: Smartmatch is deprecated":
    add patch perl5.38_smartmatch.patch, replacing smartmatch with a plain
    grep().
    (Closes: #1060710)

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Jan 2024 19:27:32 +0100

dnsenum (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1.
  * debian/patches/:
      - 010_fix-usage-output.patch: updated to make it compliant with new
        upstream release.
      - 020_fix-spelling.patch: dropped because the upstream fixed the source
        code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Oct 2022 14:05:15 -0300

dnsenum (1.3.0-6) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/lintian-overrides: updated an override to make it compliant
    with new lintian tags.
  * debian/patches/: added Forwarded field for both existing patches.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Oct 2022 14:53:17 -0300

dnsenum (1.3.0-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/tests/control: added new tests.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 14:48:51 -0300

=== debian/control ===
Source: dnsenum
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/SparrowOchon/dnsenum2
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsenum
Vcs-Git: https://salsa.debian.org/pkg-security-team/dnsenum.git

Package: dnsenum
Architecture: all
Depends: libhtml-parser-perl,
         libnet-dns-perl,
         libnet-ip-perl,
         libnet-netmask-perl,
         libnet-whois-ip-perl,
         libstring-random-perl,
         libwww-mechanize-perl,
         libxml-writer-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: tool to enumerate domain DNS information
 Dnsenum is a multithreaded perl script to enumerate DNS information of a
 domain and to discover non-contiguous ip blocks. The main purpose of Dnsenum
 is to gather as much information as possible about a domain. The program
 currently performs the following operations:
 .
   - Get the host's addresses (A record).
   - Get the namservers (threaded).
   - Get the MX record (threaded).
   - Perform axfr queries on nameservers and get BIND versions(threaded).
   - Get extra names and subdomains via google scraping (google query =
     "allinurl: -www site:domain").
   - Brute force subdomains from file, can also perform recursion on subdomain
     that have NS records (all threaded).
   - Calculate C class domain network ranges and perform whois queries on them
     (threaded).
   - Perform reverse lookups on netranges (C class or/and whois netranges)
     (threaded).
   - Write to domain_ips.txt file ip-blocks.
 .
 This program is useful for pentesters, ethical hackers and forensics experts.
 It also can be used for security tests.

=== debian/watch ===
version=4
https://github.com/SparrowOchon/dnsenum2/tags .*/tags/v?(\d\S+)@ARCHIVE_EXT@

## dnsenum 1.3.2

=== debian/changelog ===
dnsenum (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Added gregor herrmann to debian/* block.
      - Converted the last paragraph of the GPL-2+ in a comment.
      - Updated packaging copyright years.
  * debian/patches/:
      - 010_fix-usage-output.patch: updated to make it compliant with the new
        upstream version.
      - perl5.38_smartmatch.patch: removed because the upstream applied this
        patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 21 Apr 2024 18:20:24 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/SparrowOchon/dnsenum2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dnsenum
